// Display mode
mode(0);

// Display warning for floating point exception
ieee(1);

// DC servo mootori parameetrite sisestus:
// 
// Ra - mootori mähise takistus[ohm] (Armature resistance of motor)
// La - mootori mähise induktiiv.[H]   (Armature inductance of motor)
// Ki - mootori jõumomendi konst.[Nm/A](Torque constant of motor)
// Kb - mootori vastu-emj. konst.[V/rad/s](Back-emf constant of motor)
// Jm - rootori inertmoment [kg.m^2](Inertia of motor rotor)
// JL - koormuse inertmoment [kg.m^2](Inertia of load)
// Bm - mootori hõõrdetegur[Nms] (Motor Viscous-friction coef.)
// BL - koormuse hõõrdetegur[Nms] (Load Viscous-friction coef.)
// N  - ülekande suhe      (Gear-train ratio)

N = 1/0.99;

Ra = 7.8;//7.8
La = 0.005;

Ki = 0.09;// [Nm/A] 
Kb = 0.098;// [V/rad/s]

Jm = 0.0000214;// [Nm.s^2],[kg.m^2]
JL = 0.00004;// [Nm.s^2],[kg.m^2] 

Bm = 0.000125;// [Nms]  
BL = 0.00055;// [Nms]

// Tau_meh=17ms

// Kogu inertsmoment (Total inertia)
Jt = Jm+(N^2)*JL

// Kogu hõõrdetegur
Bt = Bm+(N^2)*BL
